import request from '@/utils/request'

// 查询原材料收货明细列表
export function listWmsRawOrderInSn(query) {
	return request({
		url: '/wms/wmsRawOrderInSn/list',
		method: 'get',
		params: query
	});
}

// 查询原材料收货明细详细
export function getWmsRawOrderInSn(rawOrderInSnId) {
	return request({
		url: '/wms/wmsRawOrderInSn/' + rawOrderInSnId,
		method: 'get'
		});
}

// 新增原材料收货明细
export function addWmsRawOrderInSn(data) {
	return request({
		url: '/wms/wmsRawOrderInSn',
		method: 'post',
		data: data
	});
}

// 修改原材料收货明细
export function updateWmsRawOrderInSn(data) {
	return request({
		url: '/wms/wmsRawOrderInSn',
		method: 'put',
		data: data
	});
}

// 删除原材料收货明细
export function delWmsRawOrderInSn(rawOrderInSnId) {
	return request({
		url: '/wms/wmsRawOrderInSn/' + rawOrderInSnId,
		method: 'delete'
	});
}
